﻿<md-card>
    <md-card-content layout-padding>
        <h2>Create Product</h2>
        <form name="productForm">
            <md-tabs md-dynamic-height md-border-bottom>
                <md-tab label="Product Information">
                    <md-content class="md-padding">
                        <md-input-container class="md-block">
                            <label>Product Name</label>
                            <input name="name" ng-model="vm.product.name" required md-maxlength="100" minlength="4">
                            <div ng-messages="productForm.name.$error" ng-show="productForm.name.$dirty">
                                <div ng-message="required">This is required!</div>
                                <div ng-message="md-maxlength">That's too long!</div>
                                <div ng-message="minlength">That's too short!</div>
                            </div>
                        </md-input-container>
                        <md-input-container class="md-block">
                            <label>Short Description</label>
                            <textarea name="shortDescription" ng-model="vm.product.shortDescription" md-maxlength="150" rows="5" md-select-on-focus></textarea>
                        </md-input-container>
                        <md-input-container class="md-block">
                            <label>Description</label>
                            <textarea name="description" ng-model="vm.product.description" md-maxlength="2000" rows="5" md-select-on-focus></textarea>
                        </md-input-container>
                        <div layout-gt-sm="row">
                            <md-input-container class="md-block" flex-gt-sm>
                                <label>Price</label>
                                <input name="price" required type="number" step="any" ng-model="vm.product.price" min="0"/>
                            </md-input-container>
                            <md-input-container class="md-block" flex-gt-sm>
                                <label>Old Price</label>
                                <input name="oldPrice" required type="number" step="any" ng-model="vm.product.oldPrice" min="0"/>
                            </md-input-container>
                        </div>
                        <md-input-container class="md-block">
                            <label>Thumbnail</label>
                            <input type="file" ngf-select ng-model="vm.thumbnailImage" name="thumbnailImage" ngf-accept="'image/*'">
                            <img ngf-src="vm.thumbnailImage" ngf-resize="{width: 80, height: 80, quality: 0.9}">
                        </md-input-container>
                        <md-input-container class="md-block">
                            <label>Product Images</label>
                            <input type="file" ngf-select ng-model="vm.productImages"ngf-multiple="true" name="productImages" ngf-accept="'image/*'">
                            <span ng-repeat="image in vm.productImages">
                                <img ngf-src="image" ngf-resize="{width: 80, height: 80, quality: 0.9}">
                            </span>
                        </md-input-container>
                    </md-content>
                </md-tab>
                <md-tab label="Product Variations">
                    <md-content class="md-padding">
                        <h4>Product Attribute</h4>
                        <md-select ng-model="vm.addingAttribute">
                            <md-option ng-value="opt" ng-repeat="opt in vm.attributes">{{ opt.name }}</md-option>
                        </md-select>
                        <md-button class="md-raised" ng-disabled="!vm.addingAttribute" ng-click="vm.addAttribute()">Add</md-button>
                        <div layout-gt-sm="row" ng-repeat="attribute in vm.product.attributes">
                            <md-chips ng-model="attribute.values"
                                      placeholder="Enter a {{attribute.name}}"
                                      delete-button-label="Remove {{attribute.name}}"
                                      delete-hint="Press delete to remove {{attribute.name}}"
                                      secondary-placeholder="+{{attribute.name}}">
                            </md-chips>
                            <button ng-click="vm.deleteAttr(attribute)" type="button" class="btn">
                                <span class="glyphicon glyphicon-remove"></span>
                            </button>
                        </div>
                        <h4>Product Attribute Combination</h4>
                        <md-button class="md-raised" ng-click="vm.generateAttrCombination()">Generate Combination</md-button>

                        <table ng-show="vm.product.variations.length > 0" class="table table-striped">
                            <tr>
                                <th>Combination</th>
                                <th>(+)Increase/(-)Descrease Price</th>
                                <th>Picture</th>
                                <th>Actions</th>
                            </tr>
                            <tr ng-repeat="variation in vm.product.variations">
                                <td>{{variation.name}}</td>
                                <td><input type="number" ng-model="variation.priceOffset"/></td>
                                <td></td>
                                <td>
                                    <button ng-click="vm.deleteVariation(variation)" type="button" class="btn">
                                        <span class="glyphicon glyphicon-remove"></span>
                                    </button>
                                </td>
                            </tr>
                        </table>

                    </md-content>
                </md-tab>
                <md-tab label="Categories Mapping">
                    <md-content class="md-padding">
                        <md-input-container class="md-block">
                            <div ng-repeat="category in vm.categories">
                            <md-checkbox ng-click="vm.toggleCategories(category.id)">
                                {{ category.name }}
                            </md-checkbox>
                        </div>
                        </md-input-container>
                    </md-content>
                </md-tab>
            </md-tabs>
        </form>
    </md-card-content>
    <md-card-actions layout="row" layout-align="end center">
        <md-button class="md-raised md-primary" ng-click="vm.create(productForm)">Save</md-button>
        <md-button class="md-raised">Cancel</md-button>
    </md-card-actions>
</md-card>